import { Component, OnInit } from "@angular/core";
import { HttpService } from 'src/app/core/http.service';
import { ActivatedRoute } from '@angular/router';
import { Globals } from 'src/app/core/global';


@Component({
  selector: 'snpp101p',
  templateUrl: './snpp101p.component.html',
  styleUrls: ['./snpp101p.component.css']
})

export class SNPP101PComponent implements OnInit {

  constructor(
    private HttpService: HttpService,
    private route: ActivatedRoute,
    private global: Globals
  ) { 

  }

  public CustomerList: any;
  public tableData: any;
  public tableData2: any;

  ngOnInit() {
    this.CustomerList = [{ ID: 1, CUSTOMER_CODE: "AAA" }, { ID: 2, CUSTOMER_CODE: "BBB" }, { ID: 3, CUSTOMER_CODE: "CCC" }]

    this.tableData = [
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      }, {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      },
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      },
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      },
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      },
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      }
     
    ]


    this.tableData2 = [
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      }, {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      },
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      },
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      },
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      },
      {
        "CUSTOMER_CODE": "A",
        "ORDER_NO": "A",
        "ALLOCATE_DATE": "A",
        "ORDER_CLASS": "A",
        "VENDOR_TYPE": "A",
        "ITEM_NO": "A",
        "SUB_ITEM_NO": "A",
        "STATUS_CODE": "A",
        "ACCEPT_QTY": "A",
        "ETD_DATE": "A",
        "ETP_DATE": "A",
        "ETA_DATE": "A",
      }

    ]

  }
}
