import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router, ActivatedRoute } from '@angular/router';
import { Globals } from 'src/app/core/global';

@Component({
  selector: 'snse145',
  templateUrl: './snse145.component.html',
  styleUrls: ['./snse145.component.css']
})



export class SNSE145Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router,
    private route: ActivatedRoute,
    private global: Globals
  ) { 

  }

  public data: any;


  ngOnInit() {

    this.data = [{
      ROW_SEQ : '1',
      PUB_NO: '1',
      CATALOG_DESTINATION: '1',
      SECTION_NUMBER: '1',
      SECTION_DIFFERENCE: '1',
      PART_CODE: '1',
      PART_NUMBER: '1',
      CATALOG_NC_CODE: '1',
      ADOPTION_MONTH: '1',
      ADOPTION_YEAR: '1',
      ABOLISH_MONTH: '1',
      ABOLISH_YEAR: '1',
      COUNTRY_CODE1: '1',
      COUNTRY_CODE2: '1',
      COUNTRY_CODE3: '1',
      COUNTRY_CODE4: '1',
      COUNTRY_CODE5: '1',
      COUNTRY_CODE6: '1',
      USAGE: '1',
      PART_SPECIFICATION: '1',
      SPEC_SPECIFICATION1: '1',
      SPEC_SPECIFICATION2: '1',
      SPEC_SPECIFICATION3: '1',
      SPEC_SPECIFICATION4: '1',
      FORMER_ICA_CONDITION: '1',
      FORMER_ICA_FORMER_PART_NUMBER: '1',
      NEW_ICA_CONDITION: '1',
      NEW_ICA_FORMER_PART_NUMBER: '1',
      ORIGINAL_MODEL_SERIES_CODE: '1',
      S_CODE: '1',
      QUANTITY: '1',
      UNIT_PACKAGE: '1',
      DESCRIPTION_CODE: '1',
      LIST_PRICE: '1',
      PART_NAME_ENGLISH: '1',
      CATALOG_MODEL: '1',
      CHASSY_NO_CODE: '1',
      PART_LETTER_NUMBER: '1',
      REMARKS: '1',
      INFINITY_SYMBOL: '1',
      TRIM_COLOR1: '1',
      TRIM_COLOR2: '1',
      TRIM_COLOR3: '1',
      TRIM_COLOR4: '1',
      TRIM_COLOR5: '1',
      TRIM_COLOR6: '1',
      TRIM_COLOR7: '1',
      TRIM_COLOR8: '1',
      TRIM_COLOR9: '1',
      TRIM_COLOR10: '1',
      BODY_COLOR1: '1',
      BODY_COLOR2: '1',
      BODY_COLOR3: '1',
      BODY_COLOR4: '1',
      BODY_COLOR5: '1',
      BODY_COLOR6: '1',
      BODY_COLOR7: '1',
      BODY_COLOR8: '1',
      BODY_COLOR9: '1',
      BODY_COLOR10: '1',
      BODY_COLOR11: '1',
      BODY_COLOR12: '1',
      BODY_COLOR13: '1',
      BODY_COLOR14: '1',
      BODY_COLOR15: '1',
      BODY_COLOR16: '1',
      BODY_COLOR17: '1',
      BODY_COLOR18: '1',
      BODY_COLOR19: '1',
      BODY_COLOR20: '1',
      CAR_PRODUCTION_LOCATION: '1',
      UNIT_PRODUCTION_LOCATION: '1',
      SOURCING_CODE: '1',
      MODEL_SERIES_CODE_CAR: '1',
      MODEL_YEAR: '1',
      MODEL_CODE_13_DIGIT: '1',
      PROCUREMENT_ADDR_LOC_CODE: '1',
      PROCUREMENT_HUB_ADDR_LOC_CODE: '1',
      SUPPLY_HUB_ADDR1_LOC_CODE: '1',
      SUPPLY_HUB_ADDR2_LOC_CODE: '1',
      SUPPLY_HUB_ADDR3_LOC_CODE: '1',
      SUPPLY_HUB_ADDR4_LOC_CODE: '1',
      SALES_ADDR_COUNTRY_CODE: '1',
      REINVOICE_COUNTRY_CODE: '1',
      RECEIVED_STATUS: '1',
      CREATE_BY: '1',
      CREATE_DATE: '1',
      LAST_UPD_PGM: '1',
    }
    ]

  }

}
