import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';
import { MatTableDataSource } from '@angular/material/table';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';


@Component({
  selector: 'snpp021lo_001',
  templateUrl: './snpp021lo_001.component.html',
  styleUrls: ['./snpp021lo_001.component.css']
})



export class SNPP021LO_001Component implements OnInit {

  @ContentChild(TemplateRef, { static: false }) templateRef;
  @ViewChild(MatPaginator, { static: true }) paginator: MatPaginator;
  @ViewChild(MatSort, { static: true }) sort: MatSort;

  constructor(
    private http: HttpService,
    private router: Router
  ) { }


 
  public data: any;


  ngOnInit() {


    this.data = [{
      VENDOR_CODE: '1',
      PART_NO: '1',
      PO_QTY: '1',
      NET_WEIGHT: '1',
      NET_WEIGHT_AMT: '1',
    },
    {
      VENDOR_CODE: '2',
      PART_NO: '2',
      PO_QTY: '2',
      NET_WEIGHT: '2',
      NET_WEIGHT_AMT: '2',
    },
    {
      VENDOR_CODE: '3',
      PART_NO: '3',
      PO_QTY: '3',
      NET_WEIGHT: '3',
      NET_WEIGHT_AMT: '3',
    },
    {
      VENDOR_CODE: '4',
      PART_NO: '4',
      PO_QTY: '4',
      NET_WEIGHT: '4',
      NET_WEIGHT_AMT: '4',
    },
    {
      VENDOR_CODE: '5',
      PART_NO: '5',
      PO_QTY: '5',
      NET_WEIGHT: '5',
      NET_WEIGHT_AMT: '5',
    },
    {
      VENDOR_CODE: '6',
      PART_NO: '6',
      PO_QTY: '6',
      NET_WEIGHT: '6',
      NET_WEIGHT_AMT: '6',
    },
    {
      VENDOR_CODE: '7',
      PART_NO: '7',
      PO_QTY: '7',
      NET_WEIGHT: '7',
      NET_WEIGHT_AMT: '7',
    },
    {
      VENDOR_CODE: '8',
      PART_NO: '8',
      PO_QTY: '8',
      NET_WEIGHT: '8',
      NET_WEIGHT_AMT: '8',
    }
    ]

  }


}

