import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { FormGroup, FormControl, FormBuilder } from '@angular/forms'
import { Router } from '@angular/router';
import { Observable, config } from 'rxjs';
import { MatTableDataSource, MatTableModule } from '@angular/material/table';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';

@Component({
  selector: 'snse052N',
  templateUrl: './SNSE052N.component.html',
  styleUrls: ['./SNSE052N.component.css']
})



export class SNSE052NComponent implements OnInit {

  constructor(
    private http: HttpService,
    private router: Router
  ) { }

  public CustomerList: any;
  private loaded: boolean = false; 
  public tableData: any;
  public tableName: string;


  ngOnInit() {

    this.tableName = "ReportConfigure";
    this.CustomerList = [{ ID: 1, CUSTOMER_CODE: "AAA" }, { ID: 2, CUSTOMER_CODE: "BBB" }, { ID: 3, CUSTOMER_CODE: "CCC" }]




  
    this.tableData = [
      {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No":"A"
      },
      {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      },
      {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      }, {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      }, {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      }, {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      }, {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      }, {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      }, {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      },
      {
        "Item": "A",
        "Sub_Item": "A",
        "O-Part_No": "A",
        "A-Part_No": "A",
        "Part_Name": "A",
        "Order_Qty": "A",
        "Allocate_Qty": "A",
        "Instruction_No": "A",
        "Allocate_Date": "A",
        "Packing_List_No": "A"
      }
    ]


    this.loaded = true;
  }

}
