import { Component, OnInit } from "@angular/core";
import { HttpService } from 'src/app/core/http.service';


@Component({
  selector: 'SNSQ074_MR',
  templateUrl: './SNSQ074_MR.component.html',
  styleUrls: ['./SNSQ074_MR.component.css']
})

export class SNSQ074_MRComponent implements OnInit {



  constructor(
    private http: HttpService,
  ) { }

  public CustomerList: any;
  public tableData: any = [];
  public tableData2: any = [];
  public tableData3: any = [];
  public tableData4: any = [];
  public tableData5: any = [];
  public tableData6: any = [];
  public tableData13: any = [];
  public params: any = {};
  public paramshow: any = {};
  public tabindex = 0;
  public selectlist = 0;

  ngOnInit() {
    var month = (new Date().getMonth() + 1);
    var year = (new Date().getFullYear() );

    this.params.PROCESS_MONTH = month;
    this.params.PROCESS_YEAR = year;
  }

  public IsSelectRow(data: any) {
    this.params.SALES_CHANNEL = data.SALES_CHANNEL;
    this.params.ZONE_AREA = data.ZONE_AREA;
    this.params.CUSTOMER_CODE = data.CUSTOMER_CODE;
    this.params.PRODUCT_CODE = data.PRODUCT_CODE;
    this.params.DESCRIPT_CODE = data.DESCRIPT_CODE;
    this.params.PART_NO = data.PART_NO;
  }

  public SetSelectList(value) {
    this.selectlist = this.params.SELECT_LIST;
    console.log("selectlist =",this.selectlist);
    
    if (this.selectlist == 0) {

      this.tabindex = 0;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;

      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALLSALES", this.params)
        .subscribe(res => {
          this.tableData = res.Table;
          this.params.CURRENT_STOCK = res.Table[0].CURRENT_STOCK_AVG;
          this.params.MTD_COST_AMT = res.Table[0].ACC_AVG_AMT;
        })

    }
    if (this.selectlist == 1) {

      this.tabindex = 1;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
     
      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALLZONE", this.params)
        .subscribe(res => {
          this.tableData2 = res.Table;
        })

    }
    if (this.selectlist == 2) {

      this.tabindex = 2;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
  
      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALLCUSCODE", this.params)
        .subscribe(res => {
          this.tableData3 = res.Table;
        })

    }
    if (this.selectlist == 3) {

      this.tabindex = 3;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;

      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALL_PRODUCT", this.params)
        .subscribe(res => {
          this.tableData4 = res.Table;
        })

    }
    if (this.selectlist == 4) {

      this.tabindex = 4;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;

      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALL_DESC", this.params)
        .subscribe(res => {
          this.tableData5 = res.Table;
        })

    }
    if (this.selectlist == 5) {

      this.tabindex = 5;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
  
      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALL_PART", this.params)
        .subscribe(res => {
          this.tableData6 = res.Table;
        })

    }
    if (this.selectlist == 6) {

      this.paramshow.DSP_SALES_CHANNEL = this.params.SALES_CHANNEL;
      this.http.post("SL", "SNSQ074MR_GET_SALSE_ZONE", this.params)
        .subscribe(res => {
          this.tableData2 = res.Table;
        })

      // go to tab zone
      this.tabindex = 1;
      console.log("tabindex =", this.tabindex);

    }
    if (this.selectlist == 7) {

      this.paramshow.DSP_ZONE = this.params.ZONE_AREA;
      this.http.post("SL", "SNSQ074MR_GET_ZONE_CUST", this.params)
        .subscribe(res => {
          this.tableData3 = res.Table;
        })

      // go to tab customer code
      this.tabindex = 2;

    }
    if (this.selectlist == 8) {

      this.paramshow.DSP_CUSTOMER = this.params.CUSTOMER_CODE;
      this.http.post("SL", "SNSQ074MR_GET_CUST_PROD", this.params)
        .subscribe(res => {
          this.tableData4 = res.Table;
        })

      // go to tab product code
      this.tabindex = 3;

    }
    if (this.selectlist == 9) {

      this.paramshow.DSP_PRODUCT = this.params.PRODUCT_CODE;
      this.http.post("SL", "SNSQ074MR_GET_PROD_DESC", this.params)
        .subscribe(res => {
          this.tableData5 = res.Table;
        })

      // go to tab descript code
      this.tabindex = 4;

    }
    if (this.selectlist == 10) {

      this.paramshow.DSP_DESC = this.params.DESCRIPT_CODE;
      this.http.post("SL", "SNSQ074MR_GET_DESC_PART", this.params)
        .subscribe(res => {
          this.tableData6 = res.Table;
        })

      //go to tab part no
      this.tabindex = 5;
      console.log("tabindex =", this.tabindex);

    }
    if (this.selectlist == 11) {

      this.paramshow.DSP_SALES_CHANNEL = this.params.SALES_CHANNEL;
      this.http.post("SL", "SNSQ074MR_GET_SALE_CUST", this.params)
        .subscribe(res => {
          this.tableData3 = res.Table;
        })

      // go to tab customer code
      this.tabindex = 2;

    }
    if (this.selectlist == 12) {

      this.paramshow.DSP_SALES_CHANNEL = this.params.SALES_CHANNEL;
      this.http.post("SL", "SNSQ074MR_GET_SALE_PROD", this.params)
        .subscribe(res => {
          this.tableData4 = res.Table;
        })

      //go to tab product code
      this.tabindex = 3;

    }
    if (this.selectlist == 13) {

      this.paramshow.DSP_SALES_CHANNEL = this.params.SALES_CHANNEL;
      this.http.post("SL", "SNSQ074MR_GET_SALE_DESC", this.params)
        .subscribe(res => {
          this.tableData5 = res.Table;
        })

      //go to tab sale channel
      this.tabindex = 4;
    }
    if (this.selectlist == 14) {

      this.paramshow.DSP_SALES_CHANNEL = this.params.SALES_CHANNEL;
      this.http.post("SL", "SNSQ074MR_GET_SALE_PART", this.params)
        .subscribe(res => {
          this.tableData6 = res.Table;
        })

      // go to tab part no
      this.tabindex = 5;
    }
    if (this.selectlist == 15) {

      this.paramshow.DSP_ZONE = this.params.ZONE_AREA;
      this.http.post("SL", "SNSQ074MR_GET_ZONE_PROD", this.params)
        .subscribe(res => {
          this.tableData4 = res.Table;
        })

      // go to tab product code
      this.tabindex = 3;
    }
    if (this.selectlist == 16) {

      this.paramshow.DSP_ZONE = this.params.ZONE_AREA;
      this.http.post("SL", "SNSQ074MR_GET_ZONE_DESC", this.params)
        .subscribe(res => {
          this.tableData5 = res.Table;
        })

      // go to tab descript code
      this.tabindex = 4;

    }
    if (this.selectlist == 17) {

      this.paramshow.DSP_ZONE = this.params.ZONE_AREA;
      this.http.post("SL", "SNSQ074MR_GET_ZONE_PART", this.params)
        .subscribe(res => {
          this.tableData6 = res.Table;
        })

      //go to tab part no
      this.tabindex = 5;
    }
    if (this.selectlist == 18) {

      this.paramshow.DSP_CUSTOMER = this.params.CUSTOMER_CODE;
      this.http.post("SL", "SNSQ074MR_GET_CUST_DESC", this.params)
        .subscribe(res => {
          this.tableData5 = res.Table;
        })

      //go to tab descript code
      this.tabindex = 4;

    }
    if (this.selectlist == 19) {

      this.paramshow.DSP_CUSTOMER = this.params.CUSTOMER_CODE;
      this.http.post("SL", "SNSQ074MR_GET_CUST_PART", this.params)
        .subscribe(res => {
          this.tableData6 = res.Table;
        })

      //go to tab part no
      this.tabindex = 5;

    }
    if (this.selectlist == 20) {

      this.paramshow.DSP_PRODUCT = this.params.PRODUCT_CODE;
      this.http.post("SL", "SNSQ074MR_GET_PROD_PART", this.params)
        .subscribe(res => {
          this.tableData6 = res.Table;
        })

      //go to tab part no
      this.tabindex = 5;

    }
  }

  public onTabClick(event) {
    this.tabindex = event.index;
    //console.log(this.tabindex);
  }

  public tblFooter: any = [
    {
      fieldName: "CHANNEL_NAME",
      value: "Total",
      show: true
    },
    {
      fieldName: "DATE_NET_AMT",
      
      show: true
    },
    {
      fieldName: "DATE_COST_AMT",
      
      show: true
    },
    {
      fieldName: "TARGET_PART_AMT",
      
      show: true
    },
    {
      fieldName: "MTD_NET_AMT",
      
      show: true
    },
    {
      fieldName: "DIFF_AMT",
      
      show: true
    },
    {
      fieldName: "DIFF_PERCENT",
      
      show: true
    }]

  public tblFooter2: any = [
    {
      fieldName: "ZONE_NAME",
      value: "Total",
      show: true
    },
    {
      fieldName: "TOTAL_NET_AMT",
      
      show: true
    },
    {
      fieldName: "TARGET_PART_AMT",
      
      show: true
    },
    {
      fieldName: "ACC_NET_AMT",
      
      show: true
    },
    {
      fieldName: "DIFF_AMT",
      
      show: true
    },
    {
      fieldName: "DIFF_PERCENT",
      
      show: true
    }]

  public tblFooter3: any = [
    {
      fieldName: "CUSTOMER_NAME",
      value: "Total",
      show: true
    },
    {
      fieldName: "TOTAL_NET_AMT",
      
      show: true
    },
    {
      fieldName: "TARGET_PART_AMT",
      
      show: true
    },
    {
      fieldName: "ACC_NET_AMT",
      
      show: true
    },
    {
      fieldName: "DIFF_AMT",
      
      show: true
    },
    {
      fieldName: "DIFF_PERCENT",
      
      show: true
    }]

  public tblFooter4: any = [
    {
      fieldName: "PRODUCT_NAME",
      value: "Total",
      show: true
    },
    {
      fieldName: "QTY",
      
      show: true
    },
    {
      fieldName: "NET_AMT",
      
      show: true
    },
    {
      fieldName: "ACT_AMT",
      
      show: true
    },
    {
      fieldName: "PRO_AMT",
      
      show: true
    },
    {
      fieldName: "N_SHARE",
      
      show: false
    },
    {
      fieldName: "P_SHARE",
      
      show: false
    },
    {
      fieldName: "GPR",
      
      show: false
    }]

  public tblFooter5: any = [
    {
      fieldName: "DESCRIPT_CODE",
      value: "Total",
      show: true
    },
    {
      fieldName: "QTY",
      
      show: true
    },
    {
      fieldName: "NET_AMT",
      
      show: true
    },
    {
      fieldName: "ACT_AMT",
      
      show: true
    },
    {
      fieldName: "PRO_AMT",
      
      show: true
    },
    {
      fieldName: "N_SH_RATE",
      
      show: true
    },
    {
      fieldName: "P_SH_RATE",
      
      show: true
    }]

  public tblFooter6: any = [
    {
      fieldName: "PART_NO",
      value: "Total",
      show: true
    },
    {
      fieldName: "QTY",
      
      show: true
    },
    {
      fieldName: "NET_AMT",
      
      show: true
    },
    {
      fieldName: "ACT_AMT",
      
      show: true
    },
    {
      fieldName: "PRO_AMT",
      
      show: true
    },
    {
      fieldName: "N_SH_RATE",
      
      show: true
    },
    {
      fieldName: "P_SH_RATE",
      
      show: true
    }]


}
