import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router, ActivatedRoute } from '@angular/router';
import { Globals } from 'src/app/core/global';

@Component({
  selector: 'snse150',
  templateUrl: './snse150.component.html',
  styleUrls: ['./snse150.component.css']
})



export class SNSE150Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router,
    private route: ActivatedRoute,
    private global: Globals
  ) { 

  }

  public data: any;


  ngOnInit() {

    this.data = [{
      ROW_SEQ : '1',
      BUYER_CODE: '1',
      SALES_CLASSIFICATION_CODE: '1',
      DESCRIPTION_CODE: '1',
      PART_NUMBER: '1',
      PART_NAME: '1',
      PRICE_CLASSIFICATION_CODE: '1',
      PRICE_APP_YM_01: '1',
      DISC_RATE_UNIT_PRICE_CODE_01: '1',
      DISC_RATE_UNIT_PRICE_01: '1',
      PRICE_APP_YM_02: '1',
      DISC_RATE_UNIT_PRICE_CODE_02: '1',
      DISC_RATE_UNIT_PRICE_02: '1',
      PRICE_APP_YM_03: '1',
      DISC_RATE_UNIT_PRICE_CODE_03: '1',
      DISC_RATE_UNIT_PRICE_03: '1',
      PRICE_APP_YM_04: '1',
      DISC_RATE_UNIT_PRICE_CODE_04: '1',
      DISC_RATE_UNIT_PRICE_04: '1',
      PRICE_APP_YM_05: '1',
      DISC_RATE_UNIT_PRICE_CODE_05: '1',
      DISC_RATE_UNIT_PRICE_05: '1',
      PRICE_APP_YM_06: '1',
      DISC_RATE_UNIT_PRICE_CODE_06: '1',
      DISC_RATE_UNIT_PRICE_06: '1',
      PRICE_APP_YM_07: '1',
      DISC_RATE_UNIT_PRICE_CODE_07: '1',
      DISC_RATE_UNIT_PRICE_07: '1',
      PRICE_APP_YM_08: '1',
      DISC_RATE_UNIT_PRICE_CODE_08: '1',
      DISC_RATE_UNIT_PRICE_08: '1',
      PRICE_APP_YM_09: '1',
      DISC_RATE_UNIT_PRICE_CODE_09: '1',
      DISC_RATE_UNIT_PRICE_09: '1',
      PRICE_APP_YM_10: '1',
      DISC_RATE_UNIT_PRICE_CODE_10: '1',
      DISC_RATE_UNIT_PRICE_10: '1',
      PRICE_APP_YM_11: '1',
      DISC_RATE_UNIT_PRICE_CODE_11: '1',
      DISC_RATE_UNIT_PRICE_11: '1',
      PRICE_APP_YM_12: '1',
      DISC_RATE_UNIT_PRICE_CODE_12: '1',
      DISC_RATE_UNIT_PRICE_12: '1',
      PRICE_APP_YM_13: '1',
      DISC_RATE_UNIT_PRICE_CODE_13: '1',
      DISC_RATE_UNIT_PRICE_13: '1',
      PRICE_APP_YM_14: '1',
      DISC_RATE_UNIT_PRICE_CODE_14: '1',
      DISC_RATE_UNIT_PRICE_14: '1',
      PRICE_APP_YM_15: '1',
      DISC_RATE_UNIT_PRICE_CODE_15: '1',
      DISC_RATE_UNIT_PRICE_15: '1',
      START_YM: '1',
      END_YM: '1',
      NEW_PART_NUMBER: '1',
      INTERCHANGEABILITY: '1',
      FILLER: '1',
      RECEIVED_STATUS: '1',
      CREATE_BY: '1',
      CREATE_DATE: '1',
      LAST_UPD_PGM: '1',
      LAST_UPD_BY: '1',
      LAST_UPD_DATE: '1',

    }
    ]

  }

}
