import { Component, OnInit } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';
import { Globals } from 'src/app/core/global';

@Component({
  selector: 'snpp999z',
  templateUrl: './snpp999z.component.html',
  styleUrls: ['./snpp999z.component.css']
})



export class SNPP999ZComponent implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router,
    private global : Globals
  ) { }


  
  public ConfigInvoice: any = {
    ColName: "INVOICE_NO",
    ColValue: "INVOICE_NO",
    PlaceholderText: "Select Invoice",
    SourceController: "wPMS",
    SourceMethodName: "GetInvoice",
    NoOfShowRecords: 100,
    MinLengthSearch: 3,
  }

  public INVOICE_NO : any = '';

  ngOnInit() { 

  }

  
  OpenReport(){
    //"ssComCode" is JWT detail that insert company code is "01", that selected on log in.
    this.global.GoToReport("PMS_RPT_WH_SNPR034_Z", 
    {  P_COMPANY_CODE: this.global.GetTokenDetail("ssComCode"),
       P_INVOICE_NO: this.INVOICE_NO
    }
    );
  }


}



